/**
 * Hapoel - Elementor Widgets
 */

/* Hapoel Slider Pagination */

.hapoel-slider-pagination {
    display: flex;
    justify-content: center;
}

.hapoel-slider-pagination .swiper-pagination-bullet {
    position: relative;
    width: 17px;
    height: 8px;
    border-radius: 100px;
    background-color: #ff152140;
    opacity: 1;
    overflow: hidden;
}

.hapoel-slider-pagination .swiper-pagination-bullet::after {
    content: "";
    display: block;
    width: 0;
    height: 100%;
    background-color: var(--hapoel-color-torch-red);
}

@keyframes slider-pagination {
    from {
        width: 0;
    }

    to {
        width: 100%;
    }
}

.hapoel-slider-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active::after {
    animation: slider-pagination 0.8s ease forwards;
}

/* Hapoel Slider Widget */

.hapoel .elementor-section:has(.hapoel-slider) {
    overflow: hidden;
}

.hapoel-slider {
    padding: 100px 0;
}

.hapoel-slider-heading {
    margin: 0 0 32px;
}

.hapoel-slider-heading h2 {
    margin: 0;
}

.hapoel-slider-slider {
    width: 100%;
    overflow: unset;
}

.hapoel-slider-slider .swiper-slide {
    width: 370px;
}

.hapoel-slider .hapoel-slider-pagination {
    margin: 60px 0 0;
}

.hapoel-slider-heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
}

.hapoel-slider-heading h2 {
    flex: 1;
}

.hapoel-slider-navigation {
    display: flex;
    align-items: center;
    column-gap: 16px;
}

.hapoel-slider-nav {
    width: 40px;
    cursor: pointer;
}

[dir="ltr"] .hapoel-slider-nav {
    transform: rotate(180deg);
}

.hapoel-slider-nav svg {
    display: block;
    width: 100%;
    height: auto;
}

.hapoel-slider-nav svg path {
    transition: stroke 0.4s ease, fill 0.4s ease;
}

.hapoel-slider-nav:hover svg path:first-child {
    stroke: var(--hapoel-color-torch-red);
}

.hapoel-slider-nav:hover svg path:last-child {
    fill: var(--hapoel-color-torch-red);
}

.hapoel-slider-nav.swiper-button-disabled {
    pointer-events: none;
}

.hapoel-slider-nav.swiper-button-disabled svg path:first-child {
    stroke: #bfbec3;
}

.hapoel-slider-nav.swiper-button-disabled svg path:last-child {
    fill: #bfbec3;
}

/* product */

.hapoel-slider-product {
    display: flex;
    flex-direction: column;
    row-gap: 16px;
    color: var(--hapoel-color-throat);
}

.hapoel-slider-product-image {
    width: 100%;
    aspect-ratio: 1;
    background-color: #efefef;
    border: solid 1px #efefef;
    overflow: hidden;
}

.hapoel-slider-product-image img {
    display: block;
    width: 100%;
    height: 100% !important;
    object-fit: contain;
    object-position: center center;
    transform-origin: center center;
    transition: transform 1.2s ease;
}

.hapoel-slider-product:hover .hapoel-slider-product-image img {
    transform: scale(1.075);
}

.hapoel-slider-product-content h3 {
    margin: 0 0 8px;
    font-size: 22px;
    font-weight: 600;
    line-height: 1.2;
}

/* category */

.hapoel-slider-category {
    display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.hapoel-slider-category-content h3 {
    margin: 0;
    font-size: 22px;
    font-weight: 600;
    line-height: 1.2;
    color: black;
}

.hapoel-slider-category-image {
    width: 100%;
    aspect-ratio: 1;
    background-color: #efefef;
    border: solid 1px #efefef;
    overflow: hidden;
}

.hapoel-slider-category-image img {
    display: block;
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    object-position: center center;
    transform-origin: center center;
    transition: transform 1.2s ease;
}

.hapoel-slider-category:hover .hapoel-slider-category-image img {
    transform: scale(1.075);
}

@media screen and (max-width: 767.9px) {
    .hapoel-slider {
        padding: 30px 0;
    }

    .hapoel-slider-slider .swiper-slide {
        width: 275px;
    }

    .hapoel-slider .hapoel-slider-pagination {
        margin: 30px 0 0;
    }

    .hapoel-slider-navigation {
        column-gap: 10px;
    }

    .hapoel-slider-nav {
        width: 34px;
    }

    .hapoel-slider-product {
        row-gap: 12px;
    }

    .hapoel-slider-product-content h3 {
        font-size: 16px;
        margin: 0 0 6px;
    }
}

/* Hapoel Submenu */

.hapoel .sub-menu-wrapper {
    border-color: #e9e7f2 !important;
}

/* Hapoel Lang Switcher */

.hapoel .wpml-ls {
    display: none;
}

.hapoel #hapoel-lang .wpml-ls {
    display: block;
    margin: 0;
    padding: 0;
    width: fit-content;
}

.hapoel .wpml-ls .wpml-ls-item a {
    display: flex;
    align-items: center;
    column-gap: 8px;
    text-decoration: none;
    font-size: 14px;
    line-height: 1.6;
    font-weight: 600;
    color: white;
    text-transform: uppercase;
    padding: 4px 8px;
    border-radius: 4px;
    background-color: var(--hapoel-color-throat);
    transition: background-color 0.4s ease, color 0.4s ease;
}

.hapoel .wpml-ls .wpml-ls-item a:hover {
    background-color: white;
    color: var(--hapoel-color-throat);
}

.hapoel .wpml-ls .wpml-ls-item a img {
    display: block;
    width: 24px;
    height: auto;
    border-radius: 2px;
}

.hapoel .wpml-ls .wpml-ls-item a span {
    margin: 0;
}
